Subject: Re: [PATCH] gitlab-ci: always run MSVC-based Meson job

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 14 May 2025 04:16:29 +0200

On Tue, May 13, 2025 at 10:03:46AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > On Mon, Apr 28, 2025 at 11:32:12AM +0200, Patrick Steinhardt wrote:
> >> With 7304bd2bc39 (ci: wire up Visual Studio build with Meson,
> >> 2025-01-22) we have introduced a CI job that builds and tests Git with
> >> Microsoft Visual Studio via Meson. This job is only being executed by
> >> default on GitHub Workflows though -- on GitLab CI it is marked as a
> >> "manual" job, so the developer has to actively trigger these jobs.
> >> 
> >> The consequence of this split is that any breakage specific to this job
> >> is only noticed by developers who mainly work with GitHub. Let's improve
> >> this situation by also running the job by default on GitLab CI.
> >> 
> >> Signed-off-by: Patrick Steinhardt <[email-masked]>
> >
> > While there has been discussion around whether we can in general avoid
> > some duplication in our pipelines, I think this patch makes sense
> > regardless to bring GitLab CI in line with GitHub Workflows. I haven't
> > seen the patch being picked up yet though -- I assume it fell of the
> > radar.
> >
> > Junio, do you have any concern with taking this patch?
> 
> As long as Windows stakeholders are happy with the change, I have no
> objection.  I didn't pick it up simply because Dscho didn't sound
> too happy, and I do not take "The code seems to be correct, but I do
> not like what it does" as a positive endorsement.

I don't think Dscho pays much attention to the GitLab CI anyway, so it
ultimately doesn't matter too much for him. This is not criticism by the
way, it should ideally be interchangable whether anybody looks at GitHub
or GitLab CI. So by making the GitLab CI run those jobs by default we
make the CI systems more interchangable.

I expect that this should help us at GitLab to decrease Dscho's load as
we would see the same kind of breakage that he needs to worry about
every day. And being the primary drivers for the Meson build system I
think it's only fair that we help out with fixing any issues that happen
in the Win+Meson jobs.

Patrick